Bug 79666 - [PATCH] big list of ports to be removed
Summary: [PATCH] big list of ports to be removed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-08 03:40 UTC by Sam Lawrance
Modified: 2005-05-31 14:22 UTC (History)
0 users

See Also:


Attachments
file.diff (31.90 KB, patch)
2005-04-08 03:40 UTC, Sam Lawrance
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Lawrance 2005-04-08 03:40:04 UTC
Stale, crusty and decrepit ports to be removed. I've had a fair go
at fixing them. Tested in the wee hours of this morning, None of
these ports are fetchable at non-FreeBSD master sites.

A list of the ports and DEPRECATED/EXPIRATION_DATE patches are attached.

There are 55 in total, one less than I posted to ports@. You should have
seen the one that got away.

Fix: ** NOTE **
Before applying, pick an expiration date and substitute it for
YYYY-MM-DD in the patches below.

The list:

archivers/libcabinet
astro/fooseti
audio/gdrdao
audio/mp3butler
audio/mp3chew
audio/replay
audio/sonice
audio/xmixer
cad/ziarc
comms/zmtx-zmrx
converters/cn2jp
databases/p5-Search-Namazu
devel/avltree
devel/cvsadmin
devel/korelib
devel/parrot
devel/py-istring
devel/terminality
devel/qtk
devel/wizard
devel/yacl
dns/ddup
editors/dte
editors/emacs20-dl
editors/emacs20-mule-devel
editors/sted
games/battleball
games/columns
games/crossword
games/gniffel
games/powerpak
games/pythoong
games/smacx
games/tictactoe3d
games/xchain
games/xeyesplus
games/xjumpjump
games/xmj
games/xnibbles
games/xothello
games/xsol
games/xsoldier
graphics/diacanvas
graphics/g3dviewer
graphics/mgp-gallery
graphics/entice
graphics/vid
graphics/xbarcode
graphics/xmms-xvs
graphics/py-imaging-handbook
mail/crashecho
mail/gmime
mail/libspf
mail/ml
mail/mreport

The patches:
Comment 1 Sam Lawrance 2005-04-09 16:14:46 UTC
Drop graphics/vid from that list. Also, I have neglected to quote
parantheses with a backslash in DEPRECATED strings. I won't fix them yet
though, until it looks like something might happen with this PR.
Comment 2 Kirill Ponomarev freebsd_committer 2005-04-10 13:33:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->krion

Grab.
Comment 3 Kirill Ponomarev freebsd_committer 2005-04-17 15:20:23 UTC
Responsible Changed
From-To: krion->lawrance

Submitter is committer now and can also handle it.
Comment 4 Sam Lawrance freebsd_committer 2005-05-31 14:20:46 UTC
State Changed
From-To: open->closed

Committed, now get back to work